# GimpUi.ProcedureDialog.prototype.fill_notebook

    function fill_notebook(container_id: String, label_list: Array(String), page_list: Array(String)): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_fill_notebook_list()
    }

Creates and populates a new Gtk.Notebook with widgets corresponding to every listed properties. This is similar of how GimpUi.ProcedureDialog.prototype.fill works except that it creates a new widget which is not inside dialog itself.

The container_id must be a unique ID which is neither the name of a property of the Gimp.ProcedureConfig associated to dialog, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside dialog itself.

container_id

  a container identifier.

label_list

  the list of label IDs.

page_list

  the list of page IDs.

Returns

  the Gtk.Notebook representing @property. The object belongs to dialog and must not be freed.